CREATE OR REPLACE LIBRARY libbarokey_verifykeyl AS '/usr/baropam/key/libbarokey.so' ;
/

CREATE OR REPLACE LIBRARY libbarokey_verifykeyp AS '/usr/baropam/key/libbarokey.so' ;
/

CREATE OR REPLACE FUNCTION TO_VERIFYKEYL (login_id VARCHAR2, phone_no VARCHAR2, cycle_time VARCHAR2, corr_time VARCHAR2, key_method VARCHAR2) return VARCHAR2
    as external
    language C
    library libbarokey_verifykeyl
    name "generateKEYL"
    parameters  (login_id STRING, phone_no STRING, cycle_time STRING, corr_time STRING, key_method STRING);
/

CREATE OR REPLACE FUNCTION TO_VERIFYKEYP (secure_key VARCHAR2, cycle_time VARCHAR2, corr_time VARCHAR2, key_method VARCHAR2) return VARCHAR2
    as external
    language C
    library libbarokey_verifykeyp
    name "generateKEYP"
    parameters  (secure_key STRING, cycle_time STRING, corr_time STRING, key_method STRING);
/

CREATE OR REPLACE LIBRARY libbarokey_encrypts AS '/usr/baropam/key/libbarokey.so' ;
/

CREATE OR REPLACE LIBRARY libbarokey_decrypts AS '/usr/baropam/key/libbarokey.so' ;
/

CREATE OR REPLACE FUNCTION TO_ENCRYPTS (input VARCHAR2) return VARCHAR2
    as external
    language C
    library libbarokey_encrypts
    name "baro_encrypts"
    parameters  (input  STRING);
/

CREATE OR REPLACE FUNCTION TO_DECRYPTS (input VARCHAR2) return VARCHAR2
    as external
    language C
    library libbarokey_decrypts
    name "baro_decrypts"
    parameters  (input  STRING);
/
